## nfs-utils-1.0.4.tar.bz2

=== Makefile ===
#
# linux-nfs/Makefile
#

SUBDIRS	= tools support utils
TOP	= 

include $(TOP)rules.mk

distclean clean::
	rm -f postscript/*.ps
	rm -f LOG make.log

distclean::
	rm -fr bin
	rm -f config.cache config.log config.mk config.status

install:: installman
	if [ ! -d $(STATEDIR) ]; then mkdir -p $(STATEDIR); fi
	touch $(STATEDIR)/xtab; chmod 644 $(STATEDIR)/xtab
	touch $(STATEDIR)/etab; chmod 644 $(STATEDIR)/etab
	touch $(STATEDIR)/rmtab; chmod 644 $(STATEDIR)/rmtab
	mkdir -p $(STATEDIR)/sm $(STATEDIR)/sm.bak
	touch $(STATEDIR)/state
	chmod go-rwx $(STATEDIR)/sm $(STATEDIR)/sm.bak $(STATEDIR)/state
	chown $(STATDUSER) $(STATEDIR)/sm $(STATEDIR)/sm.bak $(STATEDIR)/state

=== support/export/Makefile ===
#
# libexport.a
# Miscellaneous utility functions related to exporting and mounting
# of NFS volumes.
#

LIBNAME	= libexport.a
SRCS	= $(RPCSRCS) client.c export.c hostname.c nfsctl.c rmtab.c \
	  xtab.c
OBJS	= $(SRCS:.c=.o)

RPCSRCS	= mount_clnt.c mount_xdr.c
RPCHDRS	= mount.h

include $(TOP)rules.mk

$(RPCHDRS) $(RPCSRCS): mount.x
	$(RM) $(RPCHDRS) $(RPCSRCS)
	$(RPCGEN) -h -o mount.h $<
	$(RPCGEN) -l -o mount_clnt.c $<
	$(RPCGEN) -c -o mount_xdr.c $<

clean distclean::
	$(RM) $(RPCHDRS) $(RPCSRCS)

install::
	@:

=== tools/nlmtest/Makefile ===
#
# nlmtest	Exercise some NLM calls to test the lockd server.
#

TOOL	= nlmtest
SRCS	= $(RPCSRCS) nlmtest.c
OBJS	= $(SRCS:.c=.o)

RPCSRCS	= nlm_prot_clnt.c nlm_prot_xdr.c
RPCHDRS	= nlm_prot.h

#LIBS	= -lnfs

include $(TOP)rules.mk

install::
	@:

$(RPCHDRS) $(RPCSRCS): nlm_prot.x
	$(RM) $(RPCHDRS) $(RPCSRCS)
	$(RPCGEN) -h -o nlm_prot.h $<
	$(RPCGEN) -l -o nlm_prot_clnt.c $<
	$(RPCGEN) -c -o nlm_prot_xdr.c $<

clean distclean::
	$(RM) $(RPCHDRS) $(RPCSRCS)

=== tools/rpcdebug/Makefile ===
#
# knfsd tools
#

TOOL	= rpcdebug
OBJS	= rpcdebug.o

include $(TOP)rules.mk

install::
	@:

=== tools/rpcgen/Makefile ===
#
# This is a slightly patched rpcgen.new from the tirpc package
# 8 oct 96 --okir
#		

#
# Sun RPC is a product of Sun Microsystems, Inc. and is provided for
# unrestricted use provided that this legend is included on all tape
# media and as a part of the software program in whole or part.  Users
# may copy or modify Sun RPC without charge, but are not authorized
# to license or distribute it to anyone else except as part of a product or
# program developed by the user or with the express written consent of
# Sun Microsystems, Inc.
#
# SUN RPC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE
# WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR
# PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.
#
# Sun RPC is provided with no support and without any obligation on the
# part of Sun Microsystems, Inc. to assist in its use, correction,
# modification or enhancement.
#
# SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE
# INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY SUN RPC
# OR ANY PART THEREOF.
#
# In no event will Sun Microsystems, Inc. be liable for any lost revenue
# or profits or other special, indirect and consequential damages, even if
# Sun has been advised of the possibility of such damages.
#
# Sun Microsystems, Inc.
# 2550 Garcia Avenue
# Mountain View, California  94043
# 
#	@(#)Makefile 1.14 89/03/30 (C) 1987 SMI <MODIFIED>
#
# Makefile for rpc protocol compiler
# Copyright (C) 1987, Sun Microsystems, Inc.
#

TOOL	= rpcgen
OBJS	= rpc_clntout.o rpc_cout.o rpc_hout.o rpc_main.o rpc_parse.o \
  	  rpc_scan.o rpc_svcout.o rpc_tblout.o rpc_util.o rpc_sample.o

BUILD	= true

include $(TOP)rules.mk


all::	$(TOOL)
	if [ ! -d $(TOP)bin ]; then \
	  rm -rf $(TOP)bin; mkdir -p $(TOP)bin; \
	fi
	cp $(TOOL) $(TOP)bin

install::
	@:

=== debian/changelog ===
nfs-utils (1:1.0.3-2) unstable; urgency=high

  * Upstream CVS sync:
    > Fix one-byte buffer overflow in logging code.

 -- Chip Salzenberg <chip@debian.org>  Tue, 10 Jun 2003 11:11:56 -0400

nfs-utils (1:1.0.3-1) unstable; urgency=low

  * New upstream version:
    > Support reading and writing export cache in /proc/rpc/*/channel,
      as current syscall interface may not survive into 2.6 on all archs.

 -- Chip Salzenberg <chip@debian.org>  Wed, 26 Mar 2003 11:38:52 -0500

nfs-utils (1:1.0.2-2) unstable; urgency=medium

  * Upstream CVS sync:
    > Fix one-byte buffer overflow with no apparent security implications.
      (It's a readlink on a path that should be writable only to root.)
  * Make nfs-{common,kernel-server} depend on sysvinit 2.80-1 for invoke-rc.d.
  * Make nfs-common depend on debconf (long overdue).
  * Fix package description to name nfs-user-server as an alternative, rather
    than "nfs-server" (which no longer exists).

 -- Chip Salzenberg <chip@debian.org>  Wed, 12 Feb 2003 21:27:24 -0500

nfs-utils (1:1.0.2-1) unstable; urgency=high

  * New upstream version:
    > Allow program stdin to be a non-INET socket.  (closes: #142557)
  * Start nfs-common after nfs-kernel-server so that the server is running
    when statd restarts; without this change, a rebooting server may make
    clients lose mounts.  (This postinst removes bad rc.d links from old
    packages.)  From Philippe Troin <phil@fifi.org>.  (closes: #160800)
  * Make init scripts exit with non-zero status when daemons don't start.
  * Add titles to templates where I forgot them.  (closes: #158489)
  * Add /etc/default/{nfs-common,nfs-kernel-server} so setting random
    parameters doesn't require editing init scripts.  (closes: #131539)
  * Split templates into separate files, and add French templates.
    (closes: #134630)
  * Use invoke-rc.d to avoid premature daemon starts.  (closes: 158574)
  * Change priority of nfs-kernel-server to 'optional'.

 -- Chip Salzenberg <chip@debian.org>  Sun, 15 Sep 2002 22:00:27 -0400

nfs-utils (1:1.0.1-1) unstable; urgency=low

  * New upstream version:
    > BIG CHANGE: Exports default to "sync", that is, synchronous writes.
      This is safer but MUCH SLOWER than the old default of "async".
      All exports should be marked as either "sync" or "async" to avoid a
      warning from exportfs.
  * Patches from CVS through 2002-08-26.
  * Let init script start statd on a specific port.  (closes: #144344)
  * Fix typo in debconf message about tcpwrappers.  (closes: #128709)
  * Fix typo in rpc.nfsd(8).  (closes: #152556)
  * Add Russian templates.  (closes: #136599, #136932)

 -- Chip Salzenberg <chip@debian.org>  Mon, 26 Aug 2002 12:17:57 -0400

nfs-utils (1:1.0-2) unstable; urgency=low

  * Fail an export if its mapping option is unsupported.  (closes: #85678)

 -- Chip Salzenberg <chip@debian.org>  Wed,  2 Jan 2002 15:52:37 -0800

nfs-utils (1:1.0-1) unstable; urgency=medium

  * New upstream version.  (Version number is only change.)
  * Urgency "medium" so woody users see the pretty new version number.
    (Yeah, it's shallow... but, doggone it, this is mature code.)

 -- Chip Salzenberg <chip@debian.org>  Wed, 26 Dec 2001 20:21:15 -0800

nfs-utils (1:0.3.3-6) unstable; urgency=high

  * Upstream fixes:
    > Ignore case when comparing host names.
    > Use all addresses of multi-homed hosts in export processing.
    > When reading /proc/fs/nfs/exports, assume noasync and nowgather;
      older kernels did so, while newer kernels report them explicitly.
    > Remove man page refs to "hosts_allow(5)".  (closes: #122540)
    > In exports.5: Emphasize the need for options to immediately follow
      client names.  Explain that wildcards don't usually work on addresses,
      but may work when reverse DNS fails. (closes: #118040, #116039)

 -- Chip Salzenberg <chip@debian.org>  Wed, 26 Dec 2001 18:54:35 -0800

nfs-utils (1:0.3.3-5) unstable; urgency=high

  * Keep NFS fully operational during upgrade.  (closes: #76544)
  * When calling update-rc.d, send stdout to /dev/null, but not stderr.

 -- Chip Salzenberg <chip@debian.org>  Thu, 13 Dec 2001 18:50:47 -0800

nfs-utils (1:0.3.3-4) unstable; urgency=high

  * High priority due to changes in previous version.
  * Upstream fixes:
    > Close filehandles in nfsd before spawing kernel threads.  This is a
      workaround for a kernel bug.  (closes: #121213)
    > Document that both host names *and* addresses are checked with tcpwrappers.
      This is a doc update, not a change.  (closes: #108493)
    > Don't assume that strings starting with digits are IP addresses;
      host names are allowed to start with digits.  (closes: #68977)
  * German template for nfs-common.  (closes: #120939)

 -- Chip Salzenberg <chip@debian.org>  Mon, 26 Nov 2001 11:50:43 -0800

nfs-utils (1:0.3.3-3) unstable; urgency=low

  * Upstream fixes:
    > Accept obsolete mount option "crossmnt" for parsing old xtab files
      after upgrade.  (closes: #78801)
    > Put filenames into more error messages.
  * Stop debconf before starting nfsd to avoid a hang.  Kernel threads
    like nfsd aren't supposed to inherit open files from the programs that
    start them, but nfsd does.  See debconf tutorial.  (closes: #115817)
  * Rebuild with current glibc.  (closes: #119545)
  * Carefully account for ownership of /var/lib/nfs/*.  (closes: #117258)
  * Warn about statd using tcpwrappers.  (closes: #92666)
  * Only warn about mountd's tcpwrappers name change if the old name
    appears in the tcpwrapper config files.
  * German template for nfs-kernel-server.  (closes: #117196)

 -- Chip Salzenberg <chip@debian.org>  Wed, 21 Nov 2001 18:30:36 -0800

nfs-utils (1:0.3.3-2) unstable; urgency=high

  * The "Test It Before Release, Stupid" release.
  * Repair total failure of rpc.mountd.  (closes: #115095)

 -- Chip Salzenberg <chip@debian.org>  Thu, 11 Oct 2001 13:03:45 -0700

nfs-utils (1:0.3.3-1) unstable; urgency=medium



=== debian/control ===
Source: nfs-utils
Priority: standard
Section: net
Maintainer: Chip Salzenberg <chip@debian.org>
Build-Depends: debhelper, libwrap0-dev
Standards-Version: 3.1.1.1

Package: nfs-kernel-server
Priority: optional
Architecture: any
Depends: nfs-common (>= 1:0.3.3-3), debconf (>= 1.0), sysvinit (>= 2.80-1), ${shlibs:Depends}
Provides: knfs, nfs-server
Conflicts: knfs, nfs-server
Replaces: knfs, nfs-server
Description: Kernel NFS server support
 Use this package if you have a fairly recent kernel (2.2.13 or better)
 and you want to use the kernel-mode NFS server.  The user-mode NFS
 server in the "nfs-user-server" package is slower but more featureful
 and easier to debug than the kernel-mode server.
 .
 Upstream: SourceForge project "nfs", CVS module nfs-utils.

Package: nfs-common
Architecture: any
Depends: portmap, debconf (>= 1.0), sysvinit (>= 2.80-1), ${shlibs:Depends}
Provides: nfs-client
Conflicts: nfs-client
Replaces: nfs-client
Description: NFS support files common to client and server
 Use this package on any machine that does NFS either as client or
 server.  Programs included: lockd, statd, showmount, and nfsstat.
 .
 Upstream: SourceForge project "nfs", CVS module nfs-utils.

Package: nhfsstone
Priority: extra
Architecture: any
Depends: nfs-common, ${shlibs:Depends}
Replaces: nfs-kernel-server
Description: NFS benchmark program.
 .
 Upstream: SourceForge project "nfs", CVS module nfs-utils.
